package entity

import "ark-permission/internal/domain"

type Permission struct {
	ID     int64 `gorm:"column:id"`
	Parent int64 `gorm:"column:parent"`

	Name string `gorm:"column:name"`

	HTTPMethod string `gorm:"column:http_method"`
	HTTPPath   string `gorm:"column:http_path"`

	Status     int                   `gorm:"column:status"`
	Type       domain.PermissionType `gorm:"column:type"`
	CreateTime int64                 `gorm:"column:create_time;autoCreateTime"`
	UpdateTime int64                 `gorm:"column:update_time;autoUpdateTime"`
}

func (c *Permission) TableName() string {
	return "permission"
}
