package entity

type RolePermission struct {
	ID           int64 `gorm:"column:id"`
	RoleID       int64 `gorm:"column:role_id"`
	PermissionID int64 `gorm:"column:permission_id"`

	CreateTime int64 `gorm:"column:create_time;autoCreateTime"`
	UpdateTime int64 `gorm:"column:update_time;autoUpdateTime"`
}

func (c *RolePermission) TableName() string {
	return "role_permission"
}
